package com.gree.mall.manager.bean.quality;

import com.gree.mall.manager.plus.entity.QualityFeedback;
import com.gree.mall.manager.plus.entity.QualityFeedbackItem;
import com.gree.mall.manager.plus.entity.QualityFeedbackRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QualityFeedbackBean extends QualityFeedback {

    @ApiModelProperty(value = "明细")
    private List<QualityFeedbackItem> items;

    @ApiModelProperty(value = "审核记录")
    private List<QualityFeedbackRecord> recordList;
}
